Loading...
Searching...
No Matches
LocalePlugin Class Reference

`#include <plugins/Wizard/LocalePlugin.h>`

## Public Member Functions

| LocalePlugin (QObject *parent=0)

## Static Public Member Functions

static LocaleAttached * | qmlAttachedProperties (QObject *parent)

## Detailed Description

A simplified wrapper around QLocale.

The wrapper is implemented as an attached property, which makes it possible to use it as if its methods were static:

var langs = LocalePlugin.languages();

Definition at line 47 of file LocalePlugin.h.

## Constructor & Destructor Documentation

## LocalePlugin()

LocalePlugin::LocalePlugin | ( | QObject * | parent = 0 | ) |

explicit

Definition at line 283 of file LocalePlugin.cpp.

: QObject(parent)
{
}

## Member Function Documentation

## qmlAttachedProperties()

LocaleAttached * LocalePlugin::qmlAttachedProperties | ( | QObject * | parent | ) |

static

Definition at line 288 of file LocalePlugin.cpp.

{
return new LocaleAttached(parent);
}

The documentation for this class was generated from the following files:

- plugins/Wizard/LocalePlugin.h
- plugins/Wizard/LocalePlugin.cpp